Get customers
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/pos/customersimport requests
url = "https://api.chift.eu/consumers/{consumer_id}/pos/customers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/pos/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"name": "<string>",
"first_name": "John",
"last_name": "Doe",
"phone": "+32475123456",
"email": "john.doe@gmail.com",
"created_on": "2025-01-01T00:00:00Z",
"addresses": [],
"loyalty": 100,
"birthdate": "1990-01-01"
}
],
"total": 1,
"page": 2,
"size": 2
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "The resource {Method} - {Resource} is not supported by {ConnectorName}",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"message": "Error while trying to authenticate to {ConnectorName}",
"status": "error"
}Customers
Get customers
Returns the list of customers
GET
/
consumers
/
{consumer_id}
/
pos
/
customers
Get customers
Path Parameters
Query Parameters
Page number
Required range:
x >= 1Page size
Required range:
1 <= x <= 100Filter based on other parameters than the email/phone, e.g. firstname, lastname
Filter based on email of customer
Filter based on phone of customer
⌘I